Skip to main content

Check crypto invoice

POST 

/api/invoice/crypto-invoice/check

Checks cryptocurrency deposit invoice details and calculated values before invoice creation.

Use this method to preview the amounts and the expiration time of a crypto invoice before you create it. It takes the same body as Create crypto invoice.

  • It creates neither an invoice nor a payment address, so you can call it as often as you need.
  • transferAction defines which side amount refers to: with GET it is the amount credited to you, with GIVE the amount the customer sends.

Step by step: Step 1 (optional): Check invoice details.

Request​

Bodyrequired

Crypto deposit invoice check payload.

    receiverCurrencystringrequired

    Receiver Currency.

    Possible values: [USD, EUR, USDT, USDC]

    Example: USD
    senderCurrencystringrequired

    Sender Currency.

    Possible values: [BTC, ETH, SOL, TRX, XRP, TON, LTC, AVAX, BNB, POL, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, USDT_TON, USDC, USDC_ERC20, USDC_BEP20, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]

    Example: USD
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    transferActionstringrequired

    Transfer Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    sciNamestringnullable

    Hosted Checkout name set in your Volet.com account.

    Example: test-value
    orderIdstringnullable

    Order Id.

    Possible values: <= 64 characters

    Example: ORDER_123456
    subMerchantURLstringnullable

    Sub Merchant URL.

    Example: test-value

Responses​

OK

Schema
    receiverCurrencystringrequired

    Receiver Currency.

    Possible values: [USD, EUR, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]

    Example: USD
    senderCurrencystringrequired

    Sender Currency.

    Possible values: [USD, EUR, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]

    Example: USD
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    transferActionstringrequired

    Transfer Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    sciNamestringnullable

    Hosted Checkout name set in your Volet.com account.

    Example: test-value
    orderIdstringnullable

    Order Id.

    Possible values: <= 64 characters

    Example: ORDER_123456
    subMerchantURLstringnullable

    Sub Merchant URL.

    Example: test-value
    senderAmountnumbernullable

    Sender Amount.

    Example: 10.25
    receiverAmountnumbernullable

    Receiver Amount.

    Example: 10.25
    expirationDatedate-timenullable

    Expiration Date.

    expirationDateMillisint64nullable

    Expiration Date Millis.